dlapll.f(3)

NAME
dlapll.f

SYNOPSIS

  Functions/Subroutines
subroutine dlapll (N, X, INCX, Y, INCY, SSMIN)
DLAPLL measures the linear dependence of two vectors.

Function/Subroutine Documentation

  subroutine dlapll (integer N, double precision, dimension( * ) X, integer INCX, double precision, dimension( * ) Y, integer INCY, double precision SSMIN)

Purpose:

     Given two column vectors X and Y, let
                          A = ( X Y ).
     The subroutine first computes the QR factorization of A = Q*R,
     and then computes the SVD of the 2-by-2 upper triangular matrix R.
     The smaller singular value of R is returned in SSMIN, which is used
     as the measurement of the linear dependency of the vectors X and Y.

Parameters
    N

              N is INTEGER
              The length of the vectors X and Y.

    X

              X is DOUBLE PRECISION array,
                             dimension (1+(N-1)*INCX)
              On entry, X contains the N-vector X.
              On exit, X is overwritten.

    INCX

              INCX is INTEGER
              The increment between successive elements of X. INCX > 0.

    Y

              Y is DOUBLE PRECISION array,
                             dimension (1+(N-1)*INCY)
              On entry, Y contains the N-vector Y.
              On exit, Y is overwritten.

    INCY

              INCY is INTEGER
              The increment between successive elements of Y. INCY > 0.

    SSMIN

              SSMIN is DOUBLE PRECISION
              The smallest singular value of the N-by-2 matrix A = ( X Y ).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 101 of file dlapll.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.